package org.zeroturnaround.javarebel;


/**
 * A resource finder.
 * 
 * @author Rein Raudjärv
 * 
 * @see ClassResourceSource
 */
public interface ResourceSource {
  
  /**
   * Finds the resource with the given name.
   * 
   * @param name The name of a resource is a '/'-separated path name that identifies the resource. 
   */
  public ClassResource getLocalResource(String name);
  
  /**
   * Finds all the resources with the given name.
   * 
   * @param name The name of a resource is a '/'-separated path name that identifies the resource. 
   */
  public ClassResource[] getLocalResources(String name);
  
}
